net.minecraft.client.renderer.entity

## Class RenderSilverfish

- java.lang.Object
- - net.minecraft.client.renderer.entity.Render
  - - net.minecraft.client.renderer.entity.RendererLivingEntity
    - - net.minecraft.client.renderer.entity.RenderLiving
      - - net.minecraft.client.renderer.entity.RenderSilverfish

-     public class RenderSilverfish
      extends RenderLiving

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.client.renderer.entity.RendererLivingEntity

      `mainModel, NAME_TAG_RANGE, NAME_TAG_RANGE_SNEAK, renderPassModel`

    - ### Fields inherited from class net.minecraft.client.renderer.entity.Render

      `field_147909_c, renderManager, shadowOpaque, shadowSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderSilverfish()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doRender(Entity par1Entity, double par2, double par4, double par6, float par8, float par9)`
    `void` | `doRender(EntityLivingBase par1Entity, double par2, double par4, double par6, float par8, float par9)`
    `void` | `doRender(EntityLiving par1EntityLiving, double par2, double par4, double par6, float par8, float par9)`
    `void` | `doRender(EntitySilverfish par1EntitySilverfish, double par2, double par4, double par6, float par8, float par9)`
    `protected float` | `getDeathMaxRotation(EntityLivingBase par1EntityLivingBase)`
    `protected float` | `getDeathMaxRotation(EntitySilverfish par1EntitySilverfish)`
    `protected ResourceLocation` | `getEntityTexture(Entity par1Entity)`
    `protected ResourceLocation` | `getEntityTexture(EntitySilverfish par1EntitySilverfish)`
    `protected int` | `shouldRenderPass(EntityLivingBase par1EntityLivingBase, int par2, float par3)`
    `protected int` | `shouldRenderPass(EntitySilverfish par1EntitySilverfish, int par2, float par3)`

    - ### Methods inherited from class net.minecraft.client.renderer.entity.RenderLiving

      `func_110813_b, func_110813_b, func_110827_b`

    - ### Methods inherited from class net.minecraft.client.renderer.entity.RendererLivingEntity

      `func_82408_c, func_96449_a, getColorMultiplier, handleRotationFloat, inheritRenderPass, passSpecialRender, preRenderCallback, renderArrowsStuckInEntity, renderEquippedItems, renderLivingAt, renderModel, renderSwingProgress, rotateCorpse, setRenderPassModel`

    - ### Methods inherited from class net.minecraft.client.renderer.entity.Render

      `bindEntityTexture, bindTexture, doRenderShadowAndFire, func_147906_a, getFontRendererFromRenderManager, isStaticEntity, renderAABB, renderOffsetAABB, setRenderManager, updateIcons`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RenderSilverfish

          public RenderSilverfish()

  - ### Method Detail

    - #### getDeathMaxRotation

          protected float getDeathMaxRotation(EntitySilverfish par1EntitySilverfish)

    - #### doRender

          public void doRender(EntitySilverfish par1EntitySilverfish,
                      double par2,
                      double par4,
                      double par6,
                      float par8,
                      float par9)

    - #### getEntityTexture

          protected ResourceLocation getEntityTexture(EntitySilverfish par1EntitySilverfish)

    - #### shouldRenderPass

          protected int shouldRenderPass(EntitySilverfish par1EntitySilverfish,
                             int par2,
                             float par3)

    - #### doRender

          public void doRender(EntityLiving par1EntityLiving,
                      double par2,
                      double par4,
                      double par6,
                      float par8,
                      float par9)

      Overrides:
        `doRender` in class `RenderLiving`

    - #### getDeathMaxRotation

          protected float getDeathMaxRotation(EntityLivingBase par1EntityLivingBase)

      Overrides:
        `getDeathMaxRotation` in class `RendererLivingEntity`

    - #### shouldRenderPass

          protected int shouldRenderPass(EntityLivingBase par1EntityLivingBase,
                             int par2,
                             float par3)

      Overrides:
        `shouldRenderPass` in class `RendererLivingEntity`

    - #### doRender

          public void doRender(EntityLivingBase par1Entity,
                      double par2,
                      double par4,
                      double par6,
                      float par8,
                      float par9)

      Overrides:
        `doRender` in class `RenderLiving`

    - #### getEntityTexture

          protected ResourceLocation getEntityTexture(Entity par1Entity)

      Specified by:
        `getEntityTexture` in class `Render`

    - #### doRender

          public void doRender(Entity par1Entity,
                      double par2,
                      double par4,
                      double par6,
                      float par8,
                      float par9)

      Overrides:
        `doRender` in class `RenderLiving`